Bug 166803 - [patch] sysutils/xfce4-utils: fix running/killing of gpg-agent
[patch] sysutils/xfce4-utils: fix running/killing of gpg-agent
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Rene Ladan
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-09 22:00 UTC by tijl
Modified: 2012-05-09 20:48 UTC (History)
0 users

See Also:


Attachments
patch-scripts-xinitrc.in.in (1.05 KB, text/plain)
2012-04-09 22:00 UTC, tijl
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description tijl 2012-04-09 22:00:32 UTC
Xfce xinitrc script runs gpg-agent when it is installed (security/gnupg),
but when the user uses csh as shell gpg-agent returns csh commands which
of course cannot be executed from an sh script like xinitrc.

The attached patch passes --sh to gpg-agent so it always returns sh
commands.

Fix: Patch to put in sysutils/xfce4-utils/files.
How-To-Repeat: Install security/gnupg and run startxfce4. You'll see errors about
setenv at startup and about kill at shutdown.
Comment 1 Edwin Groothuis freebsd_committer 2012-04-09 22:00:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-xfce

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Rene Ladan freebsd_committer 2012-05-07 21:49:05 UTC
I cannot find entries containing gpg, gnupg, or setenv in 
/var/log/messages* (or maybe they got expunged). According to 
gpg-agent(1), --sh forces the use of sh to format the output instead of 
using the value of $SHELL, is this what you intend?
Comment 3 tijl 2012-05-07 22:10:46 UTC
On 07-05-2012 22:49, Rene Ladan wrote:
> I cannot find entries containing gpg, gnupg, or setenv in
> /var/log/messages* (or maybe they got expunged). According to
> gpg-agent(1), --sh forces the use of sh to format the output instead of
> using the value of $SHELL, is this what you intend?

Yes, it's similar to the --sh-syntax flag of dbus-launch and the -s flag
of ssh-agent, both of which the script already uses.

FYI, I reported the problem upstream and they said 4.10 should be ok
because it no longer uses a shell script:
https://bugzilla.xfce.org/show_bug.cgi?id=8718
Comment 4 Rene Ladan freebsd_committer 2012-05-09 20:39:22 UTC
Responsible Changed
From-To: freebsd-xfce->rene

Grab
Comment 5 Rene Ladan freebsd_committer 2012-05-09 20:47:45 UTC
State Changed
From-To: open->closed

Committed, thanks